Bug 1942845 - Review Request: mcrouter - memcached protocol router for scaling memcached deployments
Summary: Review Request: mcrouter - memcached protocol router for scaling memcached de...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1943739
TreeView+ depends on / blocked
 
Reported: 2021-03-25 07:49 UTC by Michel Alexandre Salim
Modified: 2021-03-31 00:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-31 00:16:47 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2021-03-25 07:49:41 UTC
Spec URL: https://salimma.fedorapeople.org/specs/web/mcrouter.spec
SRPM URL: https://salimma.fedorapeople.org/specs/web/mcrouter-0.41.0-2.20210324git254a127.fc34.src.rpm
Description:
Mcrouter (pronounced mc router) is a memcached protocol router for scaling
memcached deployments.

Because the routing and feature logic are abstracted from the client in
mcrouter deployments, the client may simply communicate with destination
hosts through mcrouter over a TCP connection using standard memcached
protocol. Typically, little or no client modification is needed to use
mcrouter, which was designed to be a drop-in proxy between the client and
memcached hosts.

Fedora Account System Username: salimma

Koji scratch builds:
- x86_64: https://koji.fedoraproject.org/koji/taskinfo?taskID=64548356
- all supported arches: https://koji.fedoraproject.org/koji/taskinfo?taskID=64554995

Comment 1 Neal Gompa 2021-03-25 18:36:39 UTC
Taking this review.

Comment 2 Neal Gompa 2021-03-25 19:47:48 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "FSF All Permissive
     License", "GNU General Public License v3.0 or later", "Expat License
     BSD 3-clause "New" or "Revised" License". 121 files have unknown
     license. Detailed output of licensecheck in
     /home/ngompa/1942845-mcrouter/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mcrouter-0.41.0-2.20210324git254a127.fc35.x86_64.rpm
          mcrouter-debuginfo-0.41.0-2.20210324git254a127.fc35.x86_64.rpm
          mcrouter-debugsource-0.41.0-2.20210324git254a127.fc35.x86_64.rpm
          mcrouter-0.41.0-2.20210324git254a127.fc35.src.rpm
mcrouter.x86_64: W: spelling-error Summary(en_US) Memcached -> Schemed
mcrouter.x86_64: W: spelling-error Summary(en_US) memcached -> schemed
mcrouter.x86_64: W: spelling-error %description -l en_US mc -> MC, cm, m
mcrouter.x86_64: W: spelling-error %description -l en_US memcached -> schemed
mcrouter.x86_64: W: incoherent-version-in-changelog 0.41.0-2.20210322git254a127 ['0.41.0-2.20210324git254a127.fc35', '0.41.0-2.20210324git254a127']
mcrouter.x86_64: W: no-manual-page-for-binary mcpiper
mcrouter.x86_64: W: no-manual-page-for-binary mcrouter
mcrouter.src: W: spelling-error Summary(en_US) Memcached -> Schemed
mcrouter.src: W: spelling-error Summary(en_US) memcached -> schemed
mcrouter.src: W: spelling-error %description -l en_US mc -> MC, cm, m
mcrouter.src: W: spelling-error %description -l en_US memcached -> schemed
4 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: mcrouter-debuginfo-0.41.0-2.20210324git254a127.fc35.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
mcrouter.x86_64: W: spelling-error Summary(en_US) Memcached -> Schemed
mcrouter.x86_64: W: spelling-error Summary(en_US) memcached -> schemed
mcrouter.x86_64: W: spelling-error %description -l en_US mc -> MC, cm, m
mcrouter.x86_64: W: spelling-error %description -l en_US memcached -> schemed
mcrouter.x86_64: W: incoherent-version-in-changelog 0.41.0-2.20210322git254a127 ['0.41.0-2.20210324git254a127.fc35', '0.41.0-2.20210324git254a127']
mcrouter.x86_64: W: no-manual-page-for-binary mcpiper
mcrouter.x86_64: W: no-manual-page-for-binary mcrouter
3 packages and 0 specfiles checked; 0 errors, 7 warnings.



Source checksums
----------------
https://github.com/facebook/mcrouter/archive/254a127c7f360fe7f50b6f7add787ad895de8746/mcrouter-254a127c7f360fe7f50b6f7add787ad895de8746.tar.gz :
  CHECKSUM(SHA256) this package     : 275042926bac0991a801d0d8bba9634c746efbf1905f990df1ebf8130f715479
  CHECKSUM(SHA256) upstream package : 275042926bac0991a801d0d8bba9634c746efbf1905f990df1ebf8130f715479


Requires
--------
mcrouter (rpmlib, GLIBC filtered):
    libasync.so.2021.3.15.0()(64bit)
    libboost_context.so.1.75.0()(64bit)
    libboost_filesystem.so.1.75.0()(64bit)
    libboost_program_options.so.1.75.0()(64bit)
    libboost_regex.so.1.75.0()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.1.1()(64bit)
    libcrypto.so.1.1(OPENSSL_1_1_0)(64bit)
    libdouble-conversion.so.3()(64bit)
    libfizz.so.2021.03.15.00()(64bit)
    libfolly.so.2021.03.15.00()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgflags.so.2.2()(64bit)
    libglog.so.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librpcmetadata.so.2021.3.15.0()(64bit)
    libsodium.so.23()(64bit)
    libssl.so.1.1()(64bit)
    libssl.so.1.1(OPENSSL_1_1_0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.11)(64bit)
    libstdc++.so.6(CXXABI_1.3.13)(64bit)
    libstdc++.so.6(CXXABI_1.3.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libstdc++.so.6(CXXABI_1.3.7)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libthrift-core.so.2021.3.15.0()(64bit)
    libthriftcpp2.so.2021.3.15.0()(64bit)
    libthriftprotocol.so.2021.3.15.0()(64bit)
    libtransport.so.2021.3.15.0()(64bit)
    libwangle.so.2021.03.15.00()(64bit)
    rtld(GNU_HASH)

mcrouter-debuginfo (rpmlib, GLIBC filtered):

mcrouter-debugsource (rpmlib, GLIBC filtered):



Provides
--------
mcrouter:
    mcrouter
    mcrouter(x86-64)

mcrouter-debuginfo:
    debuginfo(build-id)
    mcrouter-debuginfo
    mcrouter-debuginfo(x86-64)

mcrouter-debugsource:
    mcrouter-debugsource
    mcrouter-debugsource(x86-64)



AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in:
  mcrouter-254a127c7f360fe7f50b6f7add787ad895de8746/mcrouter/configure.ac:43


Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1942845 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Shell-api, Generic
Disabled plugins: R, fonts, Python, Haskell, Java, Ocaml, Perl, PHP, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Neal Gompa 2021-03-25 19:50:29 UTC
Review notes:

- The license field is fine as the code is actually MIT, the autotools files are not and a comment about that is a good idea here
- Obsolete m4 macros should be cleaned up and removed upstream

Otherwise, this looks good to me.

PACKAGE APPROVED.

Comment 4 Michel Alexandre Salim 2021-03-25 21:21:53 UTC
Thanks, I'll file a task to do the cleanup after the package is in

Comment 5 Michel Alexandre Salim 2021-03-25 21:25:55 UTC
repo request: https://pagure.io/releng/fedora-scm-requests/issue/33153

Comment 6 Gwyn Ciesla 2021-03-25 21:30:45 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mcrouter

Comment 7 Fedora Update System 2021-03-26 18:45:35 UTC
FEDORA-2021-fe0a6d05c2 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fe0a6d05c2

Comment 8 Fedora Update System 2021-03-27 02:01:44 UTC
FEDORA-2021-fe0a6d05c2 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-fe0a6d05c2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fe0a6d05c2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-03-31 00:16:47 UTC
FEDORA-2021-fe0a6d05c2 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.